cosh
dechex
Math Functions
PHP Manual

# decbin

(PHP 4, PHP 5)

decbin — Decimal to binary

### Description

string decbin ( int `$number` )

Returns a string containing a binary representation of the given `number` argument. The largest number that can be converted is 4294967295 in decimal resulting to a string of 32 1's.

### Parameters

`number`

  Decimal value to convert

### Return Values

Binary string representation of `number`

### Examples

Example #1 decbin() example

`<?php
echo decbin(12) . "\n";
echo decbin(26);
?>`

The above example will output:

    1100
    11010

### See Also

- bindec()
- decoct()
- dechex()
- base_convert()

cosh
dechex
Math Functions
PHP Manual